Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class EJBEntityImpl

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.server.RowImpl
                  |
                  +--oracle.jbo.server.ViewRowImpl
                        |
                        +--oracle.jbo.server.EJBEntityImpl

public class EJBEntityImpl
extends ViewRowImpl

Field Summary
`protected javax.ejb.EntityBean` | `mBean`

Fields inherited from class oracle.jbo.server.ViewRowImpl
`XML_POSTSTATE_REMOVE, XML_POSTSTATE_TAG`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`EJBEntityImpl()`

Method Summary
`protected void` | `bindToBean(javax.ejb.EntityBean bean)`
`protected javax.ejb.EntityBean` | `getBoundBean()`
`oracle.aurora.ejb.persistence.BeanIdentifier` | `getPersistenceKey()`
`protected boolean` | `isBound()`
`void` | `loadBean()`
`void` | `storeBean()`
`protected void` | `unbindFromBean()`

Methods inherited from class oracle.jbo.server.ViewRowImpl
`appendXMLElementNodes, create, createEntities, equals, findAssociatedObjects, getApplicationModule, getAttribute, getAttribute, getAttributeCount, getAttributeIndexOf, getAttributeInternal, getEntity, getEntityForAttribute, getHandle, getKey, getQueryCollection, getViewObject, getXMLElementTag, hashCode, isAttributeUpdateable, lock, populate, populateAttribute, populateAttributeAsChanged, readAttributeFromXMLElement, readXML, remove, renderAttributeInXMLElement, revert, setAttribute, setAttribute, setAttributeInternal, setEntities, validate`

Methods inherited from class oracle.jbo.server.RowImpl
`createXMLDefinition, getAttributeInternal, printXMLDefinition, readXML, setAttributeInternal, writeXML, writeXML`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBean

    protected javax.ejb.EntityBean mBean

Constructor Detail

### EJBEntityImpl

    public EJBEntityImpl()

Method Detail

### loadBean

    public void loadBean()

### storeBean

    public void storeBean()

### getBoundBean

    protected javax.ejb.EntityBean getBoundBean()

### isBound

    protected boolean isBound()

### bindToBean

    protected void bindToBean(javax.ejb.EntityBean bean)

### unbindFromBean

    protected void unbindFromBean()

### getPersistenceKey

    public oracle.aurora.ejb.persistence.BeanIdentifier getPersistenceKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD